---
title: RTCPeerConnectionIceEvent.candidate
slug: Web/API/RTCPeerConnectionIceEvent/candidate
tags:
  - Candidate
  - Negotiation
  - Networking
  - Property
  - RTCPeerConnectionIceEvent
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - rtc
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The read-only <strong><code>candidate</code></strong> property of the {{domxref("RTCPeerConnectionIceEvent")}} interface returns the {{domxref("RTCIceCandidate")}} associated with the event.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>candidate</em> = <em>event</em>.candidate;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCIceCandidate")}} object representing the ICE candidate that has been received, or <code>null</code> to indicate that there are no further candidates for this negotiation session.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onicecandidate = function( ev ) {
  alert("The ICE candidate (transport address: '" +
    ev.candidate.candidate +
    "') has been added to this connection.");
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcpeerconnectioniceevent-candidate', 'RTCPeerConnectionIceEvent.candidate') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnectionIceEvent.candidate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("icecandidate")}}</li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
